Subject: Re: bug#47748: Packages which cant be find/removed by guix remove

From: bo0od <[email-masked]>
Date: Fri, 16 Apr 2021 02:58:39 +0000

> I suggested two hints.  What do you think of the second hint:
 >
 > Hint: On Guix System, packages can defined in the operating system 
declaration.
 > These are not affected by "guix remove PACKAGES".

Yeah also this one is good, except user need to know "operating system 
declaration" beforehand but no issue anything better than the previous 
error message.

 > I don't see what you are trying to show here.

Just showing error messages of other distros.

But anyway your hints are better than the default used one, At least 
user can ask what i should use instead of "guix remove packages", but 
not oh what is profile guix talking about what profile i should use...etc

I hope you got the idea im trying to make.

(fixing the error message is not the ideal solution, ideal solution is 
to have friendly control on these packages. but this is for sure help as 
well)

Maxime Devos:
> On Thu, 2021-04-15 at 09:37 +0000, bo0od wrote:
>>   > guix remove: error: package 'm17n-lib' not found in profile
>>   > Hint: All users have their own profiles.  To remove packages from the
>> profile
>>   > of the root user, run "sudo guix remove PACKAGES" or equivalent.
>>
>> yeah very nice one, except that "sudo guix remove package" doesnt work :(
> 
> I suggested two hints.  What do you think of the second hint:
> 
> Hint: On Guix System, packages can defined in the operating system declaration.
> These are not affected by "guix remove PACKAGES".
> 
> I don't know if it applies to your exact situation though (not following
> the discussion very closely).
>   
>> This is how its done in debian/fedora, for e.g this is what debian error
>> give if apt needs root rights to delete a package:
>>
>> "user@host:~$ apt remove hexchat
>> E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13:
>> Permission denied)
>> E: Unable to acquire the dpkg frontend lock
>> (/var/lib/dpkg/lock-frontend), are you root?"
>>
>> This is what it shows in Fedora: [...]
> 
> In that case, my first hint would have been informative, no?
> I don't see what you are trying to show here.
> 
> Greetings,
> Maxime.
>